Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Interface ExtraEncoding

All Known Implementing Classes:
  PdfEncodings.Cp437Conversion, PdfEncodings.SymbolConversion, PdfEncodings.SymbolTTConversion, PdfEncodings.WingdingsConversion

    public interface ExtraEncoding

Classes implementing this interface can create custom encodings or replace existing ones. It is used in the context of `PdfEncoding`.

Author:
  Paulo Soares (psoares@consiste.pt)

Method Summary
`String` | `byteToChar(byte[] b, String encoding)` Converts a byte array to an Unicode string according to some encoding.
`byte[]` | `charToByte(char char1, String encoding)` Converts an Unicode char to a byte array according to some encoding.
`byte[]` | `charToByte(String text, String encoding)` Converts an Unicode string to a byte array according to some encoding.

Method Detail

### charToByte

    byte[] charToByte(String text,
                      String encoding)

  Converts an Unicode string to a byte array according to some encoding.

  Parameters:
    `text` - the Unicode string
    `encoding` - the requested encoding. It's mainly of use if the same class supports more than one encoding.
  Returns:
    the conversion or `null` if no conversion is supported

### charToByte

    byte[] charToByte(char char1,
                      String encoding)

  Converts an Unicode char to a byte array according to some encoding.

  Parameters:
    `char1` - the Unicode char
    `encoding` - the requested encoding. It's mainly of use if the same class supports more than one encoding.
  Returns:
    the conversion or `null` if no conversion is supported

### byteToChar

    String byteToChar(byte[] b,
                      String encoding)

  Converts a byte array to an Unicode string according to some encoding.

  Parameters:
    `b` - the input byte array
    `encoding` - the requested encoding. It's mainly of use if the same class supports more than one encoding.
  Returns:
    the conversion or `null` if no conversion is supported

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD